# Exchange for Access Token **POST /oauth/token** Exchange an authorization code or client credentials for a bearer access token. - Use `grant_type=authorization_code` along with the `code` and `redirect_uri` from the Authorization Code flow. - Use `grant_type=client_credentials` for the Client Credentials flow (no user redirect required). ## Servers - https://api.pre.transactiondesk.com: https://api.pre.transactiondesk.com () ## Parameters ### Body: application/x-www-form-urlencoded (object) - **grant_type** (string) - **client_id** (string) Client ID provided by Lonewolf - **client_secret** (string) Client Secret provided by Lonewolf - **code** (string) Authorization code from step 3 (authorization_code flow only). One-time use, expires in 10 minutes. - **redirect_uri** (string) Must match the redirect_uri used in step 1 (authorization_code flow only) ## Responses ### 200 Access token issued successfully #### Body: application/json (object) - **access_token** (string) - **token_type** (string) [Powered by Bump.sh](https://bump.sh)